<ng-template #defaultRoles let-c="close" let-d="dismiss">
  <div *ngIf="createdCount === 0" class="modalContainer" fxLayout="column" fxFlex>

    <div fxLayout="row" fxLayoutAlign="start end">
      <span>
        There are no Roles in the Database yet. Do you want to save the default roles listed below?
        You can add some additional roles in the "User Settings"
      </span>
    </div>
    <div fxLayout="column" fxFlexOffset="1" fxFlex>
      <raamHeadline title=" "></raamHeadline>
      <div *ngFor="let role of roles" fxLayout="row" fxFlexOffset="1">
        <span fxFlex="30" fxFlexOffset="20" class="raamHintText bigText">{{role.name}}</span>
        <raamColor [color]="role.color"></raamColor>
      </div>
    </div>
  </div>

  <div *ngIf="createdCount === roles.length" class="modalContainer" fxLayout="column" fxFlex>
    <div fxLayout="row" fxLayoutAlign="start end">
      <span>
        There are no Roles in the Database yet. Do you want to save the default roles listed below?
        You can add some additional roles in the "User Settings"
      </span>
    </div>
  </div>

  <div *ngIf="createdCount === roles.length" class="buttonContainer" fxFlex="row" fxLayoutAlign="end end">
    <button class="btn btn-success" (click)="modalRef.close()" fxFlexOffset="2">Close</button>
  </div>

  <div *ngIf="createdCount === 0" class="buttonContainer" fxFlex="row" fxLayoutAlign="end end">
    <button class="btn btn-success" (click)="addDefaultRolesToDatabase()" fxFlexOffset="2">Add</button>
    <button class="btn btn-danger" (click)="modalRef.dismiss()" fxFlexOffset="2">Cancel</button>
  </div>
</ng-template>
